org.apache.sis.metadata.iso.identification

## Class DefaultAggregateInformation

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - DefaultAssociatedResource
        - - DefaultAggregateInformation

- All Implemented Interfaces:
    Serializable, Cloneable, Emptiable, LenientComparable, IdentifiedObject, AggregateInformation

      public class DefaultAggregateInformation
      extends DefaultAssociatedResource
      implements AggregateInformation

  Associated resource information. The following properties are mandatory or conditional (i.e. mandatory under some circumstances) in a well-formed metadata according ISO 19115:
  `MD_AggregateInformation` `├─associationType…………` Type of relation between the resources. `├─metadataReference……` Reference to the metadata of the associated resource. `│ ├─title…………………………` Name by which the cited resource is known. `│ └─date……………………………` Reference date for the cited resource. `└─name………………………………………` Citation information about the associated resource.
  According ISO 19115, at least one of name and metadata reference shall be provided.
  Upcoming API change — renaming
  As of ISO 19115:2014, `AggregateInformation` has been renamed `AssociatedResource`. This class will be replaced by `DefaultAssociatedResource` when GeoAPI will provide the `AssociatedResource` interface (tentatively in GeoAPI 3.1 or 4.0).
  Limitations
  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAggregateInformation()` Constructs an initially empty Aggregate dataset information.
    `DefaultAggregateInformation(AggregateInformation object)` Constructs a new instance initialized with the values from the specified metadata object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultAggregateInformation` | `castOrCopy(AggregateInformation object)` Returns a SIS metadata implementation with the values of the given arbitrary implementation.
    `Identifier` | `getAggregateDataSetIdentifier()` Deprecated. As of ISO 19115:2014, replaced by the first identifier of `getAggregateDataSetName()`.
    `Citation` | `getAggregateDataSetName()` Deprecated. As of ISO 19115:2014, replaced by `DefaultAssociatedResource​.getName()`.
    `AssociationType` | `getAssociationType()` Returns the type of relation between the resources.
    `InitiativeType` | `getInitiativeType()` Returns the type of initiative under which the associated resource was produced, or `null` if none.
    `void` | `setAggregateDataSetIdentifier(Identifier newValue)` Deprecated. As of ISO 19115:2014, replaced by an identifier of `getAggregateDataSetName()`.
    `void` | `setAggregateDataSetName(Citation newValue)` Deprecated. As of ISO 19115:2014, replaced by `DefaultAssociatedResource​.setName(Citation)`.
    `void` | `setAssociationType(AssociationType newValue)` Sets the type of relation between the resources.
    `void` | `setInitiativeType(InitiativeType newValue)` Sets a new type of initiative under which the associated resource was produced.

    - ### Methods inherited from class DefaultAssociatedResource

      `getMetadataReference, getName, setMetadataReference, setName`

    - ### Methods inherited from class ISOMetadata

      `freeze, getIdentifierMap, getIdentifiers, getStandard`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, clone, collectionType, copyCollection, copyList, copySet, isModifiable, nonNullCollection, nonNullList, nonNullSet, singleton, unmodifiable, writeCollection, writeList, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultAggregateInformation

          public DefaultAggregateInformation()

      Constructs an initially empty Aggregate dataset information.

    - #### DefaultAggregateInformation

          public DefaultAggregateInformation(AggregateInformation object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.

  - ### Method Detail

    - #### castOrCopy

          public static DefaultAggregateInformation castOrCopy(AggregateInformation object)

      Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
      - If the given object is `null`, then this method returns `null`.
      - Otherwise if the given object is already an instance of `DefaultAggregateInformation`, then it is returned unchanged.
      - Otherwise a new `DefaultAggregateInformation` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the object to get as a SIS implementation, or `null` if none.
      Returns:
        a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

    - #### getAggregateDataSetName

          @Deprecated
          public Citation getAggregateDataSetName()

      Deprecated. As of ISO 19115:2014, replaced by `DefaultAssociatedResource​.getName()`.
      Citation information about the aggregate dataset.
      Specified by:
        `getAggregateDataSetName` in interface `AggregateInformation`
      Returns:
        citation information about the aggregate dataset, or `null`.

    - #### setAggregateDataSetName

          @Deprecated
          public void setAggregateDataSetName(Citation newValue)

      Deprecated. As of ISO 19115:2014, replaced by `DefaultAssociatedResource​.setName(Citation)`.
      Sets the citation information about the aggregate dataset.
      Parameters:
        `newValue` - the new citation.

    - #### getAggregateDataSetIdentifier

          @Deprecated
          public Identifier getAggregateDataSetIdentifier()

      Deprecated. As of ISO 19115:2014, replaced by the first identifier of `getAggregateDataSetName()`.
      Identification information about aggregate dataset.
      Specified by:
        `getAggregateDataSetIdentifier` in interface `AggregateInformation`
      Returns:
        identification information about aggregate dataset, or `null`.

    - #### setAggregateDataSetIdentifier

          @Deprecated
          public void setAggregateDataSetIdentifier(Identifier newValue)

      Deprecated. As of ISO 19115:2014, replaced by an identifier of `getAggregateDataSetName()`.
      Sets the identification information about aggregate dataset.
      Parameters:
        `newValue` - the new identifier.

    - #### getAssociationType

          public AssociationType getAssociationType()

      Returns the type of relation between the resources.
      Specified by:
        `getAssociationType` in interface `AggregateInformation`
      Overrides:
        `getAssociationType` in class `DefaultAssociatedResource`
      Returns:
        association type of the aggregate dataset.

    - #### setAssociationType

          public void setAssociationType(AssociationType newValue)

      Sets the type of relation between the resources.
      Overrides:
        `setAssociationType` in class `DefaultAssociatedResource`
      Parameters:
        `newValue` - the new association type.

    - #### getInitiativeType

          public InitiativeType getInitiativeType()

      Returns the type of initiative under which the associated resource was produced, or `null` if none.
      Specified by:
        `getInitiativeType` in interface `AggregateInformation`
      Overrides:
        `getInitiativeType` in class `DefaultAssociatedResource`
      Returns:
        type of initiative under which the aggregate dataset was produced, or `null`.

    - #### setInitiativeType

          public void setInitiativeType(InitiativeType newValue)

      Sets a new type of initiative under which the associated resource was produced.
      Overrides:
        `setInitiativeType` in class `DefaultAssociatedResource`
      Parameters:
        `newValue` - the new initiative.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.